{
    "name": "api_wiloc",
    "version": "1.0.0",
    "description": "A GraphQL TypeScript API for project WILOC",
    "main": "index.js",
    "scripts": {
        "dev": "nodemon --exec 'ts-node-dev' src/index.ts",
        "start:dev": "ts-node-dev --respawn --transpileOnly ./src/index.ts",
        "build": "rimraf ./build && tsc",
        "start": "npm run build && node ./build/index.js",
        "test": "jest --watch",
        "coverage": "jest --coverage",
        "rimraf": "./node_modules/rimraf/bin.js"
    },
    "devDependencies": {
        "@shelf/jest-mongodb": "^1.1.5",
        "@types/helmet": "0.0.46",
        "@types/jest": "^25.2.1",
        "@types/node": "^13.13.5",
        "apollo-server-testing": "^2.13.1",
        "jest": "^26.0.1",
        "nodemon": "^2.0.14",
        "rimraf": "^3.0.2",
        "ts-jest": "^25.5.1",
        "ts-node-dev": "^1.0.0-pre.44",
        "typescript": "^3.8.3"
    },
    "dependencies": {
        "@typegoose/typegoose": "^7.0.0",
        "@types/mongoose": "^5.7.16",
        "apollo-server-express": "^2.13.0",
        "body-parser": "^1.19.0",
        "class-validator": "^0.13.2",
        "cors": "^2.8.5",
        "dotenv": "^8.2.0",
        "express": "^4.17.1",
        "graphql": "^15.0.0",
        "helmet": "^3.22.0",
        "mongoose": "^5.9.13",
        "reflect-metadata": "^0.1.13",
        "type-graphql": "^1.0.0-rc.1",
        "typedi": "^0.8.0"
    }
}